#!/usr/bin/env python
#Boa:App:BoaApp

import wx
import os
import ui.frmHelloWorld

modules ={u'frmHelloWorld': [1, 'Main frame of Application', u'ui/frmHelloWorld.py'],
 u'myImgRes': [0, '', u'ui/myImgRes.py']}

class BoaApp(wx.App):
    def OnInit(self):
        wx.InitAllImageHandlers()
	
	path = os.getcwd()
        localedir = os.path.join( path, "i18n" )
        langid = wx.LANGUAGE_DEFAULT
        domain = "helloworld" 
        self.mylocale = wx.Locale(langid)
        self.mylocale.AddCatalogLookupPathPrefix(localedir)
        self.mylocale.AddCatalog(domain)
        self.main = ui.frmHelloWorld.create(None)
        self.main.Show()
        self.SetTopWindow(self.main)
        return True

def main():
    application = BoaApp(0)
    application.MainLoop()

if __name__ == '__main__':
    main()
