#!/usr/bin/env python
import sys, os, glob
from wxPython.tools import img2py

output = 'ui/myImgRes.py'
files = glob.glob('icons/*.png')
dst=open(output, 'w')
dst.write('#Boa:PyImgResource:\n\n#')

for file in files:
    name = os.path.splitext(os.path.basename(file))[0]
    if file == files[0]:
        cmd = "-u -i -n %s %s %s" % (name, file, output)
    else:
        cmd = "-a -u -i -n %s %s %s" % (name, file, output)
    img2py.main(cmd.split())